import request from '@/utils/request'

// 创建产品价格
export function createProductPrice(data) {
  return request({
    url: '/ecw/product-price/create',
    method: 'post',
    data: data
  })
}

// 更新产品价格
export function updateProductPrice(data) {
  return request({
    url: '/ecw/product-price/update',
    method: 'put',
    data: data
  })
}

// 删除产品价格
export function deleteProductPrice(id) {
  return request({
    url: '/ecw/product-price/delete?id=' + id,
    method: 'delete'
  })
}

// 获得产品价格
export function getProductPrice(id) {
  return request({
    url: '/ecw/product-price/get?id=' + id,
    method: 'get'
  })
}

// 获得产品价格分页
export function getProductPricePage(query) {
  return request({
    url: '/ecw/product-price/page',
    method: 'get',
    params: query
  })
}

// 导出产品价格 Excel
export function exportProductPriceExcel(query) {
  return request({
    url: '/ecw/product-price/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 批量获得产品价格
export function getProductPriceList(query) {
  return request({
    url: '/ecw/product-price/list',
    method: 'get',
    params: query
  })
}

// 批量修改产品价格
export function batchUpdateProductPrice(query) {
  return request({
    url: '/ecw/product-price/batchUpdate',
    method: 'put',
    data: query
  })
}
